/**
 * 版权所有 ©2021 莱欧有限公司
 * 工程名：yearBooks
 * 文件名：FruitService.java
 * 创建日期：2021年10月28日 上午9:24:03
 * 作者：mt.W
 */
package com.lion.service;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.lion.dao.FruitDao;
import com.lion.entity.Fruit;
import com.lion.util.TimeUtil;
import com.lion.util.Util;

import jodd.util.StringUtil;

/**
 * 类描述   种植业指标-水果类别 service
 * @author mt.W
 * @since 2021年10月28日
 */
@Service
public class FruitService {
	@Autowired
	private FruitDao dao;
	
	public Map<String, Object> getTypeList(String rows,String page,String name){
		int row=Integer.valueOf(rows);
		int start=(Integer.valueOf(page)-1)*row;
		List<Map<String,Object>> list=dao.getTypeList(start, row, name);
		int count=dao.getTypeCount(name);
		Map<String,Object> map=Util.responseMap("true", list, count);
		int totalpages=count/row;
		if(count%row!=0){
			totalpages++;
		}
		map.put("currPage", page);
		map.put("totalpages",totalpages);
		return map;
	}
	public Map<String,Object> saveTypeInfo(Fruit f,String userid){
		int check = dao.getCheckType(f.getName(), f.getId());
		if(check>0){
			return Util.responseMap("false", "该水果类别已存在");
		}
		int count = 0;
		if(StringUtil.isNotEmpty(f.getId())){
			f.setUpdateTime(TimeUtil.getNowTime());
			f.setUpdateUser(userid);
			count = dao.editType(f);
		}else{
			f.setCreateTime(TimeUtil.getNowTime());
			f.setCreateUser(userid);
			count = dao.addType(f);
		}
		return Util.responseMap(count);
	}
	public Map<String,Object> deleteType(String id){
		int check = dao.checkUseType(id);
		if(check>0){
			return Util.responseMap("false","该水果类别已被使用,禁止删除");
		}
		int count = dao.deleteType(id);
		return Util.responseMap(count);
	}
	/**
	 * 
	 * 方法描述  查询水果累呗
	 * @author mt.W
	 * @since 2021年10月28日
	 * @return
	 */
	public Map<String,Object> getTypeList(){
		List<Map<String,Object>> list = dao.getTypeList();
		return Util.responseMap("false",list);
	}
}
